Subject: Re: bug#26637: [PATCH] gnu: Add gcompris-qt.
From: Efraim Flashner <[email-masked]>
To: Thomas Danckaert <[email-masked]>
Date: Fri, 28 Apr 2017 15:48:43 +0300

On Fri, Apr 28, 2017 at 11:37:19AM +0200, Thomas Danckaert wrote:
> Hi!
> 
> Efraim Flashner <[email-masked]> writes:
> 
> > * gnu/packages/education.scm (gcompris-qt): New variable.
> > ---
> > 
> > [...]
> > 
> > +    (inputs
> > +     `(("python-2" ,python-2)
> > +       ("qt" ,qt)))
> 
> I think it's preferable to use the modular qt packages when possible.  I
> and the package builds with the following inputs:
> 
>     (native-inputs
>      `(("extra-cmake-modules" ,extra-cmake-modules)
>        ("gettext" ,gettext-minimal)
>        ("perl" ,perl)
>        ("qttools" ,qttools))) ; qtlinguist
>     (inputs
>      `(("python-2" ,python-2)
>        ("qtbase" ,qtbase)
>        ("qtdeclarative" ,qtdeclarative)
>        ("qtmultimedia" ,qtmultimedia)
>        ("qtsvg" ,qtsvg)
>        ("qtxmlpatterns" ,qtxmlpatterns)
>        ("qtsensors" ,qtsensors)))
> 
> Otherwise LGTM!
> 
> Thomas

here's what I have in my WIP area for later testing:

    (native-inputs
     `(("extra-cmake-modules" ,extra-cmake-modules)
       ("gettext" ,gettext-minimal)
       ("perl" ,perl)
       ("qttools" ,qttools)
       ))
    (inputs
     `(("python-2" ,python-2)
       ;("qt" ,qt) ; cannot find qtquick with modular-qt
       ("qtbase" ,qtbase)
       ("qtdeclarative" ,qtdeclarative)
       ("qtmultimedia" ,qtmultimedia)
       ("qtsensors" ,qtsensors)
       ("qtsvg" ,qtsvg)
       ("qtxmlpatterns" ,qtxmlpatterns)
       ))

So it looks like we have the same package list, unfortunately I couldn't
get it working with modular-qt

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted